﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 카테고리
    /// </summary>
    public class Category
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public int ID { get; set; }

        #endregion
        #region 카테고리명 - CategoryName

        /// <summary>
        /// 카테고리명
        /// </summary>
        public string CategoryName { get; set; }

        #endregion
        #region 설명 - Description

        /// <summary>
        /// 설명
        /// </summary>
        public string Description { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList()

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <returns>리스트</returns>
        public static List<Category> GetList()
        {
            List<Category> list = new List<Category>();

            list.Add(new Category() { ID = 1, CategoryName = "Beverages"     , Description = "Soft drinks, coffees, teas, beers, and ales"                });
            list.Add(new Category() { ID = 2, CategoryName = "Condiments"    , Description = "Sweet and savory sauces, relishes, spreads, and seasonings" });
            list.Add(new Category() { ID = 3, CategoryName = "Confections"   , Description = "Desserts, candies, and sweet breads"                        });
            list.Add(new Category() { ID = 4, CategoryName = "Dairy Products", Description = "Cheeses"                                                    });
            list.Add(new Category() { ID = 5, CategoryName = "Grains/Cereals", Description = "Breads, crackers, pasta, and cereal"                        });
            list.Add(new Category() { ID = 6, CategoryName = "Meat/Poultry"  , Description = "Prepared meats"                                             });
            list.Add(new Category() { ID = 7, CategoryName = "Produce"       , Description = "Dried fruit and bean curd"                                  });
            list.Add(new Category() { ID = 8, CategoryName = "Seafood"       , Description = "Seaweed and fish"                                           });

            return list;
        }

        #endregion
    }
}