﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 제품
    /// </summary>
    public class Product
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 카테고리 ID - CategoryID

        /// <summary>
        /// 카테고리 ID
        /// </summary>
        public int CategoryID { get; set; }

        #endregion
        #region 제품명 - ProductName

        /// <summary>
        /// 제품명
        /// </summary>
        public string ProductName { get; set; }

        #endregion
        #region 단가 - UnitPrice

        /// <summary>
        /// 단가
        /// </summary>
        public decimal UnitPrice { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList()

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <returns>리스트</returns>
        public static List<Product> GetList()
        {
            List<Product> list = new List<Product>();

            list.Add(new Product() { ProductName = "Sir Rodney's Scones"    , CategoryID = 3, UnitPrice = 10      });
            list.Add(new Product() { ProductName = "Gustaf's Knackebrod"    , CategoryID = 5, UnitPrice = 21      });
            list.Add(new Product() { ProductName = "Tunnbrod"               , CategoryID = 5, UnitPrice = 9       });
            list.Add(new Product() { ProductName = "Guarana Fantastica"     , CategoryID = 1, UnitPrice = 4.5m    });
            list.Add(new Product() { ProductName = "NuNuCa NuB-Nougat-Creme", CategoryID = 3, UnitPrice = 14      });
            list.Add(new Product() { ProductName = "Gumbar Gummibarchen"    , CategoryID = 3, UnitPrice = 31.23m  });
            list.Add(new Product() { ProductName = "Rossle Sauerkraut"      , CategoryID = 7, UnitPrice = 45.6m   });
            list.Add(new Product() { ProductName = "Thuringer Rostbratwurst", CategoryID = 6, UnitPrice = 123.79m });
            list.Add(new Product() { ProductName = "Nord-Ost Matjeshering"  , CategoryID = 8, UnitPrice = 25.89m  });
            list.Add(new Product() { ProductName = "Gorgonzola Telino"      , CategoryID = 4, UnitPrice = 12.5m   });

            return list;
        }

        #endregion
    }
}